%global __requires_exclude .*BugzillaClient.*

Summary:	Tool to manage mind maps
Name:		vym
Version:	2.9.26
Release:	%mkrel 2
URL:		https://www.insilmaril.de/vym
License:	GPLv2
Group:		Office/Utilities
Source0:	https://github.com/insilmaril/vym/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
Source1:	vym-doc-2.9.0.pdf
#Source1:	https://sourceforge.net/projects/vym/files/%{version}/vym.pdf#/%{name}-doc-%{version}.pdf
Source2:	vym.xml
Source3:	vym-logo-new-16.png
Source4:	vym-logo-new-22.png
Source5:	vym-logo-new-24.png
Source6:	vym-logo-new-32.png
Source7:	vym-logo-new-48.png
Source8:	vym-logo-new-256.png
#Patch0:		vym-2.9.0-mga-find-right-man-file.patch 
#Patch0:		%{name}-2.8.8-mga-qttranslations.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	qttools5
%{?filter_setup:
%filter_from_requires /^perl(BugzillaClient)$/d
%?perl_default_filter
}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(BugzillaClient\\)
Requires:	perl-BZ-Client
Requires:	unzip
Requires:	zip
Requires:	xsltproc
Requires:	qttranslations5
Recommends:	ruby

%description
VYM (View Your Mind) is a tool to generate and manipulate maps which
show your thoughts. Such maps can help you to improve your creativity
and effectiveness. You can use them for time management, to organize
tasks, to get an overview over complex contexts, to sort your ideas etc.

Maps can be drawn by hand on paper or a flip chart and help to structure
your thoughts. While a tree-like structure can be drawn by hand or any
drawing software vym offers much more features to work with such maps.

vym is not another drawing software, but a tool to store and modify
information in an intuitive way. For example you can reorder parts of
the map by pressing a key or add various information like a complete
email by a simple mouse click.

%prep
%autosetup -p1

%build
%global docval %{_docdir}
%cmake -DCMAKE_INSTALL_DATAROOTDIR:PATH=share/vym
%cmake_build

#translations
%{_qt5_bindir}/lrelease vym.pro

%install
mkdir -p %{buildroot}%{_datadir}/vym
%cmake_install

#cleanup translations
find %{buildroot} -name "*.ts" -delete

install -m a+rx,u+w -d %{buildroot}%{_datadir}/mime/packages
install -p -m a+r,u+w %{SOURCE2} %{buildroot}%{_datadir}/mime/packages/vym.xml

%{__mkdir} -p %{buildroot}%{_iconsdir}/hicolor/16x16/apps
%{__cp} -p %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{__cp} -p icons/%{name}.xpm %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.xpm

%{__mkdir} -p %{buildroot}%{_iconsdir}/hicolor/22x22/apps
%{__cp} -p %{SOURCE4} %{buildroot}%{_iconsdir}/hicolor/22x22/apps/%{name}.png

%{__mkdir} -p %{buildroot}%{_iconsdir}/hicolor/24x24/apps
%{__cp} -p %{SOURCE5} %{buildroot}%{_iconsdir}/hicolor/24x24/apps/%{name}.png

%{__mkdir} -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps
%{__cp} -p %{SOURCE6} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

%{__mkdir} -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
%{__cp} -p %{SOURCE7} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{__cp} -p icons/%{name}-editor.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}-editor.png

%{__mkdir} -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
%{__cp} -p %{SOURCE8} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Vym
Comment=View Your Mind
Comment[af]=View Your Mind (Besigitig jou verstand)
Comment[sq]=View Your Mind (Shfaq Mendjen Tënde)
Comment[ast]=View Your Mind (Ve la to miente)
Comment[bn]=View Your Mind (আপনার উদ্দেশ্য প্রদর্শন করুন)
Comment[bs]=View Your Mind (Pogledajte svoje misli)
Comment[ca@valencia]=View Your Mind (Visualitzeu la vostra ment)
Comment[ca]=View Your Mind (Visualitzeu la vostra ment)
Comment[zh_CN]=View Your Mind (浏览您的思维)
Comment[da]=View Your Mind (Vis dit sind)
Comment[et]=View Your Mind (Vaata oma mõtteid)
Comment[fi]=View Your Mind (Näytä mielesi)
Comment[fr]=View Your Mind (Cartographier vos idées)
Comment[gl]=View Your Mind (Vexa a súa mente)
Comment[ky]=View Your Mind (Акылыңды иштетип көр)
Comment[oc]=View Your Mind (Cartografiar vòstras idèas)
Comment[pl]=View Your Mind (Uzewnętrznia myśli)
Comment[ro]=View Your Mind (Hărți mentale)
Comment[ru]=View Your Mind (Просмотр ваших мыслей)
Comment[sl]=View Your Mind (Oglejte si svoje misli)
Comment[es]=View Your Mind (Vea su mente)
Comment[vi]=View Your Mind (Xem tư duy của bạn)
GenericName=Vym - View Your Mind
GenericName[af]=Besigitig jou verstand
GenericName[sq]=Shfaq Mendjen Tënde
GenericName[ast]=Ve la to miente
GenericName[bn]=আপনার উদ্দেশ্য প্রদর্শন করুন
GenericName[bs]=Pogledajte svoje misli
GenericName[ca@valencia]=Visualitzeu la vostra ment
GenericName[ca]=Visualitzeu la vostra ment
GenericName[zh_CN]=浏览您的思维
GenericName[da]=Vis dit sind
GenericName[et]=Vaata oma mõtteid
GenericName[fi]=Näytä mielesi
GenericName[fr]=Cartographier vos idées
GenericName[gl]=Vexa a súa mente
GenericName[ky]=Акылыңды иштетип көр
GenericName[oc]=Cartografiar vòstras idèas
GenericName[pl]=Uzewnętrznia myśli
GenericName[ro]=Hărți mentale
GenericName[ru]=Просмотр ваших мыслей
GenericName[sl]=Oglejte si svoje misli
GenericName[es]=Vea su mente
GenericName[vi]=Xem tư duy của bạn
StartupNotify=true
Terminal=false
Type=Application
Icon=%{name}
Exec=%{name} %%f
MimeType=application/x-vym;application/zip;
Categories=KDE;Qt;Office;Chart;
EOF

gunzip %{buildroot}%{_datadir}/vym/man/vym.1.gz
%__mkdir_p %{buildroot}%{_mandir}/man1
%__mv %{buildroot}%{_datadir}/vym/man/vym.1 %{buildroot}%{_mandir}/man1/
%__rm %{buildroot}%{_datadir}/vym/doc/ViewYourMind/doc/vym.1.gz
%__rm -rf %{buildroot}%{_datadir}/vym/man

%files
%license LICENSE.txt
%doc README.md demos/* doc/*.pdf
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_mandir}/man1/%{name}.*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.9.26-2.mga10
+ Revision: 2221356
- Mageia 10 Mass Rebuild

* Fri Feb 16 2024 kekepower <kekepower> 2.9.26-1.mga10
+ Revision: 2041950
- Update to version 2.9.26

* Thu Aug 31 2023 kekepower <kekepower> 2.9.22-1.mga10
+ Revision: 1982696
- Update to version 2.9.22

* Wed Apr 05 2023 kekepower <kekepower> 2.9.0-1.mga9
+ Revision: 1951538
- Update to version 2.9.0 (Based on FC)

* Mon Apr 04 2022 kekepower <kekepower> 2.8.8-1.mga9
+ Revision: 1843551
- Update to version 2.8.8

* Mon Apr 04 2022 umeabot <umeabot> 2.5.0-6.mga9
+ Revision: 1843383
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 2.5.0-5.mga8
+ Revision: 1660255
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 2.5.0-4.mga8
+ Revision: 1525178
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 umeabot <umeabot> 2.5.0-3.mga7
+ Revision: 1385229
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.5.0-2.mga7
+ Revision: 1301647
- Mageia 7 Mass Rebuild

* Fri Feb 19 2016 alexl <alexl> 2.5.0-1.mga6
+ Revision: 969679
- fix qt translations
- version 2.5.0
- switch to Qt5
- fix FTBFS with g++-6
- add requires: unzip, xsltproc; add recommends: ruby
- install minimum icons for desktop file

* Tue Feb 09 2016 umeabot <umeabot> 2.3.24-6.mga6
+ Revision: 951846
- Mageia 6 Mass Rebuild

* Wed Jan 07 2015 alexl <alexl> 2.3.24-5.mga5
+ Revision: 809205
- added GenericName in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 2.3.24-4.mga5
+ Revision: 748584
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.3.24-3.mga5
+ Revision: 725279
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.3.24-2.mga5
+ Revision: 690253
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 alexl <alexl> 2.3.24-1.mga5
+ Revision: 672120
- translated desktop file
- version 2.3.24

* Sat Feb 15 2014 dams <dams> 2.3.22-1.mga5
+ Revision: 592076
- new version 2.3.22

* Sat Oct 19 2013 umeabot <umeabot> 2.3.19-2.mga4
+ Revision: 530103
- Mageia 4 Mass Rebuild

* Thu Jul 18 2013 wally <wally> 2.3.19-1.mga4
+ Revision: 455964
- new version 2.3.19
- drop unneeded requires exception

* Thu Jul 18 2013 wally <wally> 2.2.4-3.mga4
+ Revision: 455959
- install translations (mga#10790)
- install man page

* Mon Jan 14 2013 umeabot <umeabot> 2.2.4-2.mga3
+ Revision: 385583
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Office/Other -> Office/Utilities

* Sat Dec 22 2012 fwang <fwang> 2.2.4-1.mga3
+ Revision: 333727
- update rpm group
- new version 2.2.4

* Wed Mar 07 2012 dams <dams> 2.0.6-1.mga2
+ Revision: 220773
- new version 2.0.6
- clean spec file

* Wed Sep 07 2011 tv <tv> 1.13.39-1.mga2
+ Revision: 140226
- new release
+ wally <wally>
- new version 1.13.36

* Sun May 15 2011 pterjan <pterjan> 1.12.8-2.mga1
+ Revision: 99041
- Rebuild for fixed find-requires

* Sun Apr 17 2011 wally <wally> 1.12.8-1.mga1
+ Revision: 87390
- imported package vym


* Sun Apr 17 2011 Jani Välimaa <wally@mandriva.org> 1.12.8-1mdv2011.0
+ Revision: 654766
- new version 1.12.8
- drop old and unused patches
- disable Werror_cflags
- drop buildroot definition
- drop support for old mdv releases
- fix .desktop file
- add mime-type support
- clean .spec

* Sat May 16 2009 Jérôme Brenier <incubusss@mandriva.org> 1.12.2-1mdv2010.0
+ Revision: 376435
- icon and typos in desktop file fixed (#48525)
- license fixed (GPLv2)

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 1.12.2-0mdv2009.1
+ Revision: 332957
- New upstream release

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 1.10.0-5mdv2009.0
+ Revision: 261897
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.10.0-4mdv2009.0
+ Revision: 255773
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.10.0-2mdv2008.1
+ Revision: 171167
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sun Feb 03 2008 Emmanuel Andry <eandry@mandriva.org> 1.10.0-1mdv2008.1
+ Revision: 161780
- New version
- add patches from fedora

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jun 05 2007 Eskild Hustvedt <eskild@mandriva.org> 1.8.1-2mdv2008.0
+ Revision: 35851
- Adding unpackaged files
- Import vym



* Mon Aug 07 2006 Eskild Hustvedt <eskild@mandriva.org> 1.8.1-1mdv
- New release 1.8.1
- Spec cleanup
- XDG menu
- Dropped p0

* Thu Jul 14 2005 Frederic Lepied <flepied@mandriva.com> 1.7.0-1mdk
- New release 1.7.0

* Thu Mar 10 2005 Eskild Hustvedt <eskild@mandrake.org> 1.6.0-2mdk
- BuildRequires
- Requires zip for saving

* Sat Mar 05 2005 Michael Scherer <misc@mandrake.org> 1.6.0-1mdk
- New release 1.6.0
- update patch0

* Sun Nov  7 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.5.0-2mdk
- add icon

* Sat Nov  6 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.5.0-1mdk
- initial packaging

# end of file
